from .libmcrypt import *

# May use any number from 1 to 127 as an ID.
ALGO_MAP = { 'INVALID': 0,
             ALGO_BLOWFISH: 1,
             ALGO_DES: 2,
             ALGO_TRIPLEDES: 3,
             ALGO_THREEWAY: 4,
             ALGO_GOST: 5,
             ALGO_SAFERSK64: 6,
             ALGO_SAFERSK128: 7,
             ALGO_CAST128: 8,
             ALGO_XTEA: 9,
             ALGO_RC2: 10,
             ALGO_TWOFISH: 11,
             ALGO_CAST256: 12,
             ALGO_SAFERPLUS: 13,
             ALGO_LOKI97: 14,
             ALGO_SERPENT: 15,
             ALGO_RIJNDAEL128: 16,
             ALGO_RIJNDAEL192: 17,
             ALGO_RIJNDAEL256: 18,
             ALGO_ENIGMA: 19,
             ALGO_ARCFOUR: 20,
             ALGO_WAKE: 21 }

ALGO_RMAP = dict([(v, k) for (k, v) in ALGO_MAP.items()])

# May use any number from 1 to 127 as an ID.
MODE_MAP = { 'INVALID': 0,
             MODE_CBC: 1,
             MODE_ECB: 2,
             MODE_CFB: 3,
             MODE_OFB: 4,
             MODE_nOFB: 5,
             MODE_STREAM: 6 }

MODE_RMAP = dict([(v, k) for (k, v) in MODE_MAP.items()])
